%define packagename Tk

Name: perl-%{packagename}
Prereq: perl
Version: 800.024
Release: 2
Summary: Perl Tk module
Summary(pt_BR): Mdulo Perl Tk
Summary(es):  Perl Tk module
Group: Libraries
Group(pt_BR): Bibliotecas
Group(es): Bibliotecas
License: Perl
Source: ftp://www.perl.com/CPAN/modules/by-module/Tk/%{packagename}-%{version}.tar.gz
URL: ftp://www.perl.com/CPAN/modules/by-module/Tk/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
TK is a Graphical User Interface Toolkit commonly used in Unix
environment.

This package provides a module to use TK from the Perl language.

%description -l pt_BR
TK  um Toolkit comumente usado em ambiente Unix. Este pacote permite usar TK em
programas Perl.

%description -l es
TK is a Graphical User Interface Toolkit commonly used in Unix
environment.

This package provides a module to use TK from the Perl language.

%package demos
Summary: perl-Tk demos
Summary(pt_BR): Demonstraes do uso do software perl-Tk
Summary(es): perl-Tk demos
Group: Documentation
Group(pt_BR): Documentao
Group(es): Documentacin

%description demos
perl-Tk demos

%description -l pt_BR demos
Demonstraes do uso do software perl-Tk

%description -l es demos
perl-Tk demos

%prep
rm -rf %{buildroot}
%setup -q -n %{packagename}%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL PREFIX=%{buildroot}%{_prefix} 
make OPTIMIZE="%{optflags}"
#make test #Some packages can't be tested

%install
perl -pi -e 's@^#!(/usr/local)?/bin/perl@#!/usr/bin/perl@' `grep -Erl '^#!(/usr/local)?/bin/perl' .`
%makeinstall
rm -f %{buildroot}%{perl_sitearch}/{fix_4_os2.pl,perllocal.pod}
rm -f %{buildroot}%{perl_sitearch}/Tk/reindex.pl
perl -pi -e 's@%{buildroot}@@' `find %{buildroot} | grep '\.packlist' `

%clean
rm -rf %{_builddir}/%{packagename}-%{version}
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README* Change* MANIFEST VERSIONS Funcs.doc
%doc ToDo PPM-HowTo COPYING
%attr(0755,root,root) %{_bindir}/*
%{perl_sitearch}/Tie
%{perl_sitearch}/Tk.*
%exclude /usr/bin/widget
%exclude %{perl_sitearch}/Tk/demos
%exclude %{perl_sitearch}/Tk/WidgetDemo.pod
%{perl_sitearch}/Tk
%{perl_sitearch}/auto/Tk
%{_mandir}/*

%files demos
%defattr(0644,root,root,0755)
/usr/bin/widget
%{perl_sitearch}/Tk/demos
%{perl_sitearch}/Tk/WidgetDemo.pod

%changelog
* Thu Jan  9 2003 Ian Macdonald <ian@caliban.org>
- make the shebang line of all scripts point to Perl
- don't generate troublesome perl(Tk) dependencies
- rename to Perl-Tk

* Sat Aug  3 2002 Claudio Matsuoka <claudio@conectiva.com>
+ perl-tk-800.024-1cl
- new upstream release (closes: #5896)
- fixed source url
- specfile cleanup

* Fri Jul 19 2002 Claudio Matsuoka <claudio@conectiva.com>
+ perl-tk-800.022-10cl
- package name converted to lowercase

* Tue Dec  4 2001 Claudio Matsuoka <claudio@conectiva.com>
+ perl-Tk-800.022-9cl
- forced rebuild to fix dependency problems

* Sun Nov 11 2001 Magic Bumper <dist@conectiva.com.br>
+ perl-Tk-800.022-8cl
- rebuilt against current perl version

* Tue Feb 13 2001 Arnaldo Carvalho de Melo <acme@conectiva.com>
+ perl-Tk-800.022-7cl

* Thu Dec 07 2000 Rodrigo Barbosa <rodrigob@conectiva.com>
- Adding AutoProv: no

* Mon Oct 31 2000 Raul Dias <rsd@conectiva.com>
- Changed perl from "Requires:" to "Prereq:".

* Sat Oct 28 2000 Raul Dias <rsd@conectiva.com>
- Updated spec file
- eliminate sed use

* Fri Sep 29 2000 Raul Dias <rsd@conectiva.com>
- Updated spec file

* Mon Sep 18 2000 Raul Dias <rsd@conectiva.com.br>
- Corrected minor bug in post install bug (really insignificant)

* Fri Sep 12 2000 Raul Dias <rsd@conectiva.com.br>
- first build
